package com.inkasso.factoring.biddingManagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 招投标管理基本信息历史表
 * </p>
 *
 * @author author
 * @since 2023-11-20
 */
@TableName("bidding_basic_info_his")
public class BiddingBasicInfoHis implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 项目Id
     */
    private Long businessBasicInfoId;

    /**
     * 贸易平台Id
     */
    private Long tradingPlatformId;

    /**
     * 是否资格预审 0否  1是
     */
    private Integer prequalification;

    /**
     * 创建人
     */
    private String userCreate;

    /**
     * 修改人
     */
    private String userModified;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getBusinessBasicInfoId() {
        return businessBasicInfoId;
    }

    public void setBusinessBasicInfoId(Long businessBasicInfoId) {
        this.businessBasicInfoId = businessBasicInfoId;
    }

    public Long getTradingPlatformId() {
        return tradingPlatformId;
    }

    public void setTradingPlatformId(Long tradingPlatformId) {
        this.tradingPlatformId = tradingPlatformId;
    }

    public Integer getPrequalification() {
        return prequalification;
    }

    public void setPrequalification(Integer prequalification) {
        this.prequalification = prequalification;
    }

    public String getUserCreate() {
        return userCreate;
    }

    public void setUserCreate(String userCreate) {
        this.userCreate = userCreate;
    }

    public String getUserModified() {
        return userModified;
    }

    public void setUserModified(String userModified) {
        this.userModified = userModified;
    }

    @Override
    public String toString() {
        return "BiddingBasicInfoHis{" +
                "id=" + id +
                ", businessBasicInfoId=" + businessBasicInfoId +
                ", tradingPlatformId=" + tradingPlatformId +
                ", prequalification=" + prequalification +
                ", userCreate=" + userCreate +
                ", userModified=" + userModified +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                "}";
    }
}
